#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	GSSAPI
Summary:	GSSAPI - Perl extension providing access to the GSSAPIv2 library
Summary(pl.UTF-8):	GSSAPI - rozszerzenie Perla dające dostęp do biblioteki GSSAPIv2
Name:		perl-GSSAPI
Version:	0.28
Release:	6
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/A/AG/AGROLMS/GSSAPI-%{version}.tar.gz
# Source0-md5:	65f00a0749212af064289c8a05e59b3f
URL:		http://search.cpan.org/dist/GSSAPI/
BuildRequires:	heimdal-devel
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	which
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module gives access to the routines of the GSSAPI library, as
described in RFC 2743 and RFC 2744 and implemented by the Kerberos-1.2
distribution from MIT.

%description -l pl.UTF-8
Ten moduł daje dostęp do funkcji bibliotecznych GSSAPI określonych
przez RFC 2743 i RFC 2744 i zaimplementowanych przez MIT w dystrybucji
Kerberos-1.2.

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/GSSAPI.pm
%dir %{perl_vendorarch}/GSSAPI
%{perl_vendorarch}/GSSAPI/*.pm
%dir %{perl_vendorarch}/GSSAPI/OID
%{perl_vendorarch}/GSSAPI/OID/Set.pm
%dir %{perl_vendorarch}/auto/GSSAPI
%{perl_vendorarch}/auto/GSSAPI/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/GSSAPI/*.so
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}
%changelog
* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> eb16fb5
- rebuild with perl 5.18.0
- release 6 (by relup.sh)

* Sat Feb 18 2012 lisu <lisu@pld-linux.org> 4cf9f50
- rel 5

* Tue Aug 02 2011 Jan Rękorajski <baggins@pld-linux.org> 2d5b216
- release 4

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> 20ee27f
- release 3

* Mon Oct 04 2010 Jan Rękorajski <baggins@pld-linux.org> 73a8c10
- rel 2

* Sun Jun 06 2010 radek <radek@pld-linux.org> 6b7ec69
- version 0.28

* Mon Apr 12 2010 Jan Rękorajski <baggins@pld-linux.org> 8653be9
- rel 8

* Tue Apr 06 2010 sparky <sparky@pld-linux.org> 4554f26
- BR: which

* Thu Mar 04 2010 hawk <hawk@pld-linux.org> 3469dae
- release 7

* Mon Dec 14 2009 Jan Rękorajski <baggins@pld-linux.org> f5ecf6c
- rel 6

* Wed Dec 09 2009 Jan Rękorajski <baggins@pld-linux.org> 57ce45a
- rel 5

* Sun Jul 05 2009 Jan Rękorajski <baggins@pld-linux.org> 24ece8e
- removed test patch
- rel 4

* Sun Jul 05 2009 Jan Rękorajski <baggins@pld-linux.org> 9a61b43
- can't recreate builder problems anywhere else

* Sun Jul 05 2009 Jan Rękorajski <baggins@pld-linux.org> 7fa93ad
- quick test

* Sun Jul 05 2009 Jan Rękorajski <baggins@pld-linux.org> 1dd29fb
- testing WTF is going on 32bit builders

* Thu Jul 02 2009 Jan Rękorajski <baggins@pld-linux.org> 9cfe525
- rel 3
- switch to heimdal kerberos

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> 4b32d08
- release 2

* Mon Feb 25 2008 Jakub Bogusz <qboosh@pld-linux.org> 36b615e
- updated to 0.26

* Fri Feb 08 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 08e1977
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 777b8f6
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

